Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 645084 - dev-lang/perl-5.28.9999 ( >= 5.27.8 ) fails PathTools tests with sandbox error: failure (No such file or directory):
Summary: dev-lang/perl-5.28.9999 ( >= 5.27.8 ) fails PathTools tests with sandbox erro...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sandbox Maintainers
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2018-01-20 07:52 UTC by Kent Fredric (IRC: kent\n)
Modified: 2018-07-08 07:01 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) gentoo-dev 2018-01-20 07:52:10 UTC
* /var/tmp/portage/sys-apps/sandbox-2.12/work/sandbox-2.12/libsandbox/libsandbox.c:check_syscall():968: failure (No such file or directory):
 * ISE: opendir(./..)
	abs_path: (null)
	res_path: (null)
===(  158771;314  10/12  1/8  0/? )=====================================/usr/lib64/libsandbox.so(+0xbbd2)[0x7f978e74ebd2]
/usr/lib64/libsandbox.so(+0xbced)[0x7f978e74eced]
/usr/lib64/libsandbox.so(+0x54ac)[0x7f978e7484ac]
/usr/lib64/libsandbox.so(opendir+0x4c)[0x7f978e74b15c]
/var/tmp/portage/dev-lang/perl-5.28.9999/work/perl-5.27.8/libperl.so.5.27(Perl_pp_open_dir+0x9a)[0x7f978e46a2fa]
/var/tmp/portage/dev-lang/perl-5.28.9999/work/perl-5.27.8/libperl.so.5.27(Perl_runops_standard+0x13)[0x7f978e414963]
/var/tmp/portage/dev-lang/perl-5.28.9999/work/perl-5.27.8/libperl.so.5.27(perl_run+0x472)[0x7f978e39f972]
../../t/perl(main+0x132)[0x561ef049fdd2]
/lib64/libc.so.6(__libc_start_main+0xf1)[0x7f978df9f041]
../../t/perl(_start+0x2a)[0x561ef049fe1a]
/proc/8294/cmdline: ../../t/perl -I../.. -MTestInit=U2T t/cwd_enoent.t 

../dist/PathTools/t/cwd_enoent.t ................................... Failed 4/8 subtests 


Relevant test source: https://metacpan.org/source/ABIGAIL/perl-5.27.8/dist/PathTools/t/cwd_enoent.t

Portage 2.3.18 (python 3.5.4-final-0, default/linux/amd64/17.0, gcc-7.2.0, glibc-2.26-r3, 4.10.13-gentoo x86_64)
=================================================================
System uname: Linux-4.10.13-gentoo-x86_64-Intel-R-_Core-TM-_i5-2410M_CPU_@_2.30GHz-with-gentoo-2.4.1
KiB Mem:     8017900 total,    584816 free
KiB Swap:   20478972 total,  18548868 free
Timestamp of repository gentoo: Mon, 11 Dec 2017 14:30:01 +0000
Head commit of repository gentoo: ba86e631489437739bdb6303d6f37fc91ea4ae8b
sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
ccache version 3.3.4 [disabled]
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.26.1-r1::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.4.6-r1::gentoo, 3.5.4-r1::gentoo
dev-util/ccache:          3.3.4-r1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.69-r4::gentoo
sys-devel/automake:       1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            7.2.0::gentoo
sys-devel/gcc-config:     1.9.0-r1::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1-r1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r3::gentoo
Comment 1 Kent Fredric (IRC: kent\n) gentoo-dev 2018-01-20 08:10:11 UTC
I'm gonna flip this over to sandbox, because it seems the problem is sandbox aborting erroneously when doing stat calls on non-existent directories.

That really doesn't seem like grounds for a fatal abort to me, it should be a trappable error from userspace code.
Comment 2 Kent Fredric (IRC: kent\n) gentoo-dev 2018-06-15 21:02:26 UTC
Sandbox, sooner you can help me proceed the better, 5.28.0 final is due in the next day or soon, can't really proceed without some sort of resolution on this.
Comment 3 Larry the Git Cow gentoo-dev 2018-06-17 05:25:43 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e97174bc5804586ddee810103db828d3e7e47c1a

commit e97174bc5804586ddee810103db828d3e7e47c1a
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2018-06-17 05:24:46 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2018-06-17 05:24:46 +0000

    dev-lang/perl: Bump 5.28.9999 to 5.28.0-RC2
    
    - copy forward changes from Perl 5.26.* for prefix
    
    Note: currently fails tests for PathTools under sandbox due to
    bug #645084
    
    Bug: https://bugs.gentoo.org/645084
    Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-lang/perl/Manifest              |  5 ++---
 dev-lang/perl/perl-5.28.9999.ebuild | 34 +++++++++++++++++++++++-----------
 2 files changed, 25 insertions(+), 14 deletions(-)
Comment 4 Larry the Git Cow gentoo-dev 2018-07-06 02:42:05 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99fda8ae7b10c15df793d4080339f59ea169acd8

commit 99fda8ae7b10c15df793d4080339f59ea169acd8
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2018-07-06 01:44:07 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2018-07-06 01:44:32 +0000

    dev-lang/perl: Bump 5.28.9999 to 5.28.0 Final
    
    - Still fails tests due to bug #645084
    
    Upstream:
    - Now includes Archive-Tar 2.280.0 for CVE-2018-12015 (Bug #657968)
    
    Bug: https://bugs.gentoo.org/645084
    Bug: https://bugs.gentoo.org/657968
    Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-lang/perl/Manifest              | 2 +-
 dev-lang/perl/perl-5.28.9999.ebuild | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 5 Larry the Git Cow gentoo-dev 2018-07-08 07:01:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb6c913fc7e208f78ee9788b05e6b53dff654055

commit eb6c913fc7e208f78ee9788b05e6b53dff654055
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2018-07-08 06:36:53 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2018-07-08 07:00:44 +0000

    dev-lang/perl: Update patches for bug #645084
    
    - Disables tests affected by sandbox
    - Disables various porting tests that can conditionally fail
      ( though usually when using git sources )
    
    Closes: https://bugs.gentoo.org/645084
    Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-lang/perl/Manifest              | 2 +-
 dev-lang/perl/perl-5.28.9999.ebuild | 4 +++-
 2 files changed, 4 insertions(+), 2 deletions(-)